
<?php
session_start();
include 'config.php';


if(isset($_SESSION['usuario'])){
    $user   =   $_SESSION['usuario'];
    $uid    =   $_SESSION['num_usu'];
    $uiddest=   $_GET['ide'];
    
    //Obtengo el valor de maestro
    $semaestro= "select maestro from dxopemaex where nombre='$user'";
    $resultado= mysqli_query($con ,$semaestro,$conex);
    $maestro= mysqli_result($resultado,0); 
    //echo $maestro;*/
    
    if($uiddest==0){
        $select = "select * from (SELECT * FROM chat WHERE dest_n_reg=0 ORDER BY id desc LIMIT 10) t1 order by id asc";
        //actualiza el campo leido del grupo todos
        $update= "update chat set leido=1 where dest_n_reg=0 and dxacceso_n_reg=$uid";
        mysqli_query($con ,$update,$conex);
    }
    else {
        $select = "select * from (select * from chat where (dxacceso_n_reg='$uid' and dest_n_reg='$uiddest') or (dxacceso_n_reg='$uiddest' and dest_n_reg='$uid') and dest_n_reg!=0 order by id desc limit 10) t1 order by id asc";
        //$select = "select * from chat where usuario='$user' or dest_id='$userdest' and dest_id!=0 order by id asc";
        $update= "update chat set leido=1 where dest_n_reg=$uid and dxacceso_n_reg=$uiddest";
        mysqli_query($con ,$update,$conex);
    }
    
    $query = mysqli_query($con ,$select,$conex);
        $rows = mysqli_num_rows($query);
        if($rows>0){
            while($row = mysqli_fetch_array($query)){
                ?><?php
                //si es admin puede borrar conversaciones
                if(isset($_SESSION['usuario']) && $maestro==0){
                    ?>
<a href="#" value="<?=$row['id']?>" class="clickborra" onclick="borra(<?=$row['id']?>)"><font color="red">Borrar</font></a>
                    <?php
                }else{
                    ?>
                    &nbsp; 
                    <?php
                }
                ?>
                    <strong> <font color="#000080"><?=$row['ip_rem']?></font></strong>: <?=$row['mensaje']?> <br><br> 
                <?php
            }
        }else{
            ?>
                &nbsp;
                <?php
        } 
}
?>
 